Skip to main content
GET
Fetch Status of a Specific Gift Card

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
pin
string

Limits the gift card redemption list to that associated with a specific gift card pin

product_number
string

Limits the list to a specific gift card product number (account number).

Response

JSON A full GiftCard object.

pin
string
required

pin for gift card

object
enum<string>

Value is "GiftCard"

Available options:
GiftCard
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
sku
string

sku for gift card

last_digit
string

last digits of gift card number

pin_length
integer

sku for gift card

hash_type
enum<string>

sku for gift card

Available options:
a,
b
pin_hash
string

sku for gift card

payment_provider
string

sku for gift card

status
object
product
object

The Product object represents a unique CSP product, with its own pricing, description and entitlement assignments. The API allows you to create, fetch, and update products. You can retrieve individual Product objects, as well as a list of all.